ranges::v3::view::cartesian_product_fn Struct Reference

## Public Types

template<typename... Rngs>
using | Constraint = meta::strict_and< ForwardRange< Rngs >... >

## Public Member Functions

template<typename... Rngs, requires = (Constraint<Rngs...>())>
constexpr cartesian_product_view< all_t< Rngs >... > | operator() (Rngs &&... rngs) const
template<typename... Rngs, requires = (!Constraint<Rngs...>())>
void | operator() (Rngs &&...) const